
TYPO3.Neos - Bug # 53317

Status: Resolved Priority: Must have
Author: Torsten no-lastname-given Category:
Created: 2013-11-04 Assigned To: Bastian Waidelich
Updated: 2013-12-11 Due date:
Subject: Workspace module throws error after deleting / renaming a page
Description

After deleting / renaming a page with unpublished changes, I receive an error in
TYPO3\Neos\Controller\Module\Management\WorkspacesController on line 98 saying that $document is null.
Only solution is to manually delete the row from typo3_typo3cr_domain_model_nodedata.

Deleting or renaming a node should undate the path in nodeData or something like this.

History
#1 - 2013-11-04 17:24 - Torsten no-lastname-given

Maybe this would be better placed in TYPO3.TYPOCR...

#2 - 2013-11-04 17:30 - Bastian Waidelich
- Target version deleted (1.0 alpha 8)

Torsten no-lastname-given wrote:

Maybe this would be better placed in TYPO3.TYPOCR...

No, this is fine. Just don't set the target version for us ;)

#3 - 2013-12-07 16:54 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 4 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/25996

#4 - 2013-12-11 20:29 - Bastian Waidelich
- Status changed from Under Review to Resolved
- Assigned To set to Bastian Waidelich
- Target version set to 1.0

Should have been resolved with https://review.typo3.org/#/c/25996/
